Subject: Re: bug#9396: make fails with undefined reference to '__sched_cpucount'
From: Jim Meyering <[email-masked]>
To: "Feuerbacher\, Alan" <[email-masked]>, [email-masked]
Date: Tue, 13 Sep 2011 11:43:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 9396 notabug
thanks

Paul Eggert wrote:
> On 08/28/11 14:59, Feuerbacher, Alan wrote:
>> I tracked the problem down to the fact that the RHEL5 system uses
>> /lib64/libc.so.6
>> which apparently is version 2.5 of the GNU C Library,
>> but this version does not contain "__sched_cpucount" - whatever that is.
>> Apparently only version 2.6 and later contain this stuff.
>
> It sounds like you're compiling with glibc 2.6 headers but linking
> to glibc 2.5.  If so, that'd be a definite no-no; you need to configure
> and build with <= 2.5 headers if you're going to link with 2.5.
>
> I expect that it's the 2.6 headers that #define CPU_COUNT and bring
> in a reference to __sched_cpucount.

Thanks for the report.
Since we haven't heard back from you, I presume that
Paul's diagnosis was correct and have thus closed this bug.
If not, please let us know.